webscraper/urls.py
from django.urls import path, include
from rest_framework import routers

from webscraper.views import gui_views, api_views


app_name = 'webscraper'
urlpatterns = [
    path('', gui_views.home, name='home'),
    path('url_form', gui_views.url_form, name='url_form'),
    path('url/', gui_views.index, name='index'),
    path('url/<int:pk>/', gui_views.DetailView.as_view(), name='detail'),
    path('api/url/', api_views.index, name='api_index'),
    path('api/url/<int:pk>/', api_views.detail, name='api_detail'),
    path('api/url/<int:pk>/images/', api_views.images, name='images'),
    path('api/url/<int:pk>/text/', api_views.text, name='text'),
]

webscraper/templates/webscraper/detail.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Scraped URL detail</title>
</head>
<body>
    <h5><a href="{% url 'webscraper:index' %}">Home page - index</a></h5>
    <hr>
    <h3>{{ scraped_url.url }}</h3>

<table style="width:100%">
  <tr>
    <th>celery task id</th>
    <th>scraped data type</th>
    <th>date</th>
    <th>path</th>
  </tr>
    <tr>
    <td>{{ scraped_url.task }}</td>
    <td>{{ scraped_url.content_type.all }}</td>
    <td>{{ scraped_url.date_init }}</td>
    <td>{{ scraped_url.path }}</td>

  </tr>

</table>
<hr>
<p>Statuses description:</p>
<li>not started - task added to queue but not executed</li>
<li>in progress - task execution still ongoing</li>
<li>finished - task execution completed successfully </li>
</body>
</html>

webscraper/templates/webscraper/index.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>webscraper</title>
</head>
<body>
<h5><a href="{% url 'webscraper:index' %}">Home page - index</a></h5>
<hr>
{% if scraped_url_list %}
    <h3>Scraped URLs list:</h3>
    <ul>
    {% for scraped_url in scraped_url_list %}
        <li><a href="{% url 'webscraper:detail' scraped_url.id %}">{{ scraped_url.url }}</a></li>
    {% endfor %}
    </ul>
{% else %}
    <p>No scraped URL are available.</p>
{% endif %}

<form action="{% url 'webscraper:url_form' %}" method="post">
    {% csrf_token %}
URL: <input type="text" name="url"><br>
    {% for content in content_type_list %}
    <input type="checkbox" name="content_type" id="content_type{{ forloop.counter }}" value="{{ content.id }}">
    <label for="content_type{{ forloop.counter }}">{{ content.name }}</label><br>
    {% endfor %}
<input type="submit" value="scrap">
</form>



</body>
</html>

webscraper/templates/webscraper/scrap_url.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <form action="{% url 'polls:scrap_url' question.id %}" method="post">
{% csrf_token %}
{% for choice in question.choice_set.all %}
    <input type="checkbox" name="choice" id="choice{{ forloop.counter }}" value="{{ choice.id }}">
    <label for="choice{{ forloop.counter }}">{{ choice.choice_text }}</label><br>
{% endfor %}
<input type="submit" value="Vote">
</form>
</body>
</html>